gnutls_x509_privkey_cpy(3)

NAME
gnutls_x509_privkey_cpy - copy a private key

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_cpy(gnutls_x509_privkey_t dst, gnutls_x509_privkey_t src);

ARGUMENTS

gnutls_x509_privkey_t dst
    The destination key, which should be initialized.

gnutls_x509_privkey_t src
    The source key

DESCRIPTION
This function will copy a private key from source to destination key.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.